Retrieve a Stateful Actor type
Retrieve one account-scoped Stateful Actor type. owner_function_id identifies the function that owns and ships the actor class; other functions may reference the same actor type through actor bindings.
GET
/
compute
/
actors
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const ComputeActorType = await client.compute.retrieve('id');
console.log(ComputeActorType.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
compute_actor_type = client.compute.retrieve(
"id",
)
print(compute_actor_type.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
compute, err := client.Compute.Get(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", compute.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.compute().retrieve("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
compute_actor_type = telnyx.compute.retrieve("id")
puts(compute_actor_type)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$compute_actor_type = $client->compute->retrieve(
'id',
);
var_dump($compute_actor_type);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute retrieve \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/compute/actors/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "compute_actor_type",
"id": "<string>",
"type": "Counter",
"status": "<string>",
"owner_function_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"placement": {
"policy": "everywhere",
"clusters": [
"<string>"
],
"excluded_clusters": [
"<string>"
],
"unchecked_clusters": [
"<string>"
],
"partial": true,
"observed_at": "<string>",
"cluster_results": [
{
"cluster_id": "<string>",
"status": "<string>",
"success": true,
"error": "<string>",
"error_code": "<string>"
}
]
}
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const ComputeActorType = await client.compute.retrieve('id');
console.log(ComputeActorType.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
compute_actor_type = client.compute.retrieve(
"id",
)
print(compute_actor_type.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
compute, err := client.Compute.Get(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", compute.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.compute().retrieve("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
compute_actor_type = telnyx.compute.retrieve("id")
puts(compute_actor_type)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$compute_actor_type = $client->compute->retrieve(
'id',
);
var_dump($compute_actor_type);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute retrieve \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/compute/actors/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "compute_actor_type",
"id": "<string>",
"type": "Counter",
"status": "<string>",
"owner_function_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"placement": {
"policy": "everywhere",
"clusters": [
"<string>"
],
"excluded_clusters": [
"<string>"
],
"unchecked_clusters": [
"<string>"
],
"partial": true,
"observed_at": "<string>",
"cluster_results": [
{
"cluster_id": "<string>",
"status": "<string>",
"success": true,
"error": "<string>",
"error_code": "<string>"
}
]
}
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}